%define module_name Comics
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Cookies.pm) perl(Image/Info.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.20
Release: alt1
Summary: Comics aggregator in the style of Gotblah
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JV/JV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The normal task of this program is to perform aggregation. it will
load the available plugins and run all of them.

The plugins will examine the contents of comics sites and update the
'cartoon of the day' in the spool area.

Upon completion, an index.html is generated in the spool area to view
the comics collection.

It is best to run this program from the spool area itself.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/C*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Sun Jul 30 2023 Igor Vlasenko <viy@altlinux.org> 1.20-alt1
- updated by package builder

* Sat Sep 18 2021 Igor Vlasenko <viy@altlinux.ru> 1.19-alt1
- updated by package builder

* Sun Nov 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.18-alt1
- updated by package builder

* Mon Nov 09 2020 Igor Vlasenko <viy@altlinux.ru> 1.17-alt1
- updated by package builder

* Fri May 22 2020 Igor Vlasenko <viy@altlinux.ru> 1.16-alt1
- updated by package builder

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.15-alt1
- updated by package builder

* Sat Jul 13 2019 Igor Vlasenko <viy@altlinux.ru> 1.14-alt1
- updated by package builder

* Sat Apr 20 2019 Igor Vlasenko <viy@altlinux.ru> 1.13-alt1
- updated by package builder

* Thu Apr 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.12-alt1
- updated by package builder

* Fri Oct 26 2018 Igor Vlasenko <viy@altlinux.ru> 1.11-alt1
- regenerated from template by package builder

* Tue Oct 02 2018 Igor Vlasenko <viy@altlinux.ru> 1.10-alt1
- regenerated from template by package builder

* Thu Jun 21 2018 Igor Vlasenko <viy@altlinux.ru> 1.09-alt1
- regenerated from template by package builder

* Mon Apr 09 2018 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1
- regenerated from template by package builder

* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1
- regenerated from template by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 1.06-alt1
- regenerated from template by package builder

* Tue Mar 14 2017 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- regenerated from template by package builder

* Fri Jan 13 2017 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- regenerated from template by package builder

* Wed Nov 30 2016 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

